diff --git cmake/Modules/GrccCompile.cmake cmake/Modules/GrccCompile.cmake
index d2bc2d8..9ebc6c2 100644
--- cmake/Modules/GrccCompile.cmake
+++ cmake/Modules/GrccCompile.cmake
@@ -34,11 +34,19 @@ find_program(GRCC grcc
     PATHS ${CMAKE_INSTALL_PREFIX}/${GR_RUNTIME_DIR}
     )
 
+if(UNIX)
+  set(LD_PATH_VAR "LD_LIBRARY_PATH")
+  if(APPLE)
+    set(LD_PATH_VAR "DYLD_LIBRARY_PATH")
+  endif()
+  set(LD_PATH ${CMAKE_BINARY_DIR}/lib)
+endif(UNIX)
+
 macro(GRCC_COMPILE file_name)
     ADD_CUSTOM_COMMAND(
         OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${file_name}
         COMMAND "${CMAKE_COMMAND}"
-        -E env PYTHONPATH="${PYTHONPATH}" GRC_BLOCKS_PATH=${CMAKE_SOURCE_DIR}/grc
+        -E env PYTHONPATH="${PYTHONPATH}" ${LD_PATH_VAR}="${LD_PATH}" GRC_BLOCKS_PATH=${CMAKE_SOURCE_DIR}/grc
         CMAKE_BINARY_DIR=${CMAKE_BINARY_DIR}
         ${GRCC} -o ${CMAKE_CURRENT_BINARY_DIR}
         ${CMAKE_CURRENT_SOURCE_DIR}/${file_name}.grc
